Will Safari 6.1 operate on Snow Leopard?

I need Safari 6.1 to utilize my new version of Quick Books. May I just add Safari 6.1 to my current Snow Leopard OS?

Follow this Question

No Answers have been submitted

Be the first to answer this question.  Answer now

Similar Questions

See more Similar Questions